﻿package{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.display.Stage;
	import flash.ui.Mouse;
	
	public class Helice extends Sprite{
		private var _quantity:int;
		public function Helice(quantity:int):void{
			/*on defini la quantité de ligne qu'on va devoir dessiner */
			this._quantity = quantity;
			/*on affecte une action à réaliser à chaque nouveau rafraichissement d'écran */
			addEventListener(Event.ENTER_FRAME,onEnterFrame);
			}
			
		private function onEnterFrame(e:Event):void{
			/*on efface toutes les lignes précédemment visibles*/
			graphics.clear();
			/*on va dessiner x lignes*/
			for(var i:int=1;i<this._quantity;i++){
				/*on se construit un "crayon", dimension de la pointe, couleur, transparence*/
				graphics.lineStyle(1,0xffffff,Math.random());
				/*on se place à un endroit sur la scène */
				graphics.moveTo(mouseX,mouseY);
				/*on calcul des coordonnées à atteindre*/
				var coord:Array = new Array(Math.random()*stage.stageWidth,Math.random()*stage.stageHeight);
				/*on dessine la ligne jusqu'à ce point*/
				graphics.lineTo(coord[0],coord[1]);
				/*on termine le trait en levant le "crayon" */
				graphics.moveTo(0,0);
				/*on change de "crayon" */
				graphics.lineStyle(1,0xff0000);
				/*on desside de remplir d'une couleur */
				graphics.beginFill(0xff0000,Math.random());
				/*on dessine un cercle sur le point d'arrivée*/
				graphics.drawCircle(coord[0],coord[1],3);
				/*on arrete le remplissage de la couleur*/
				graphics.endFill();
				}
			}
		}
	
	}